### A free/open-source library for quantitative finance

Public Member Functions
GaussHermiteIntegration Class Reference

generalized Gauss-Hermite integration More...

`#include <ql/math/integrals/gaussianquadratures.hpp>`

Inheritance diagram for GaussHermiteIntegration:
[legend]

List of all members.

## Public Member Functions

| GaussHermiteIntegration (Size n, Real mu=0.0)

## Detailed Description

generalized Gauss-Hermite integration

This class performs a 1-dimensional Gauss-Hermite integration.

The weighting function is

and